post Module Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Types | Public Member Functions
post Module Reference
Collaboration diagram for post:

## Data Types
interface | cs_post_init_moments
| Initialize post-processing of moments. More...
interface | cs_post_set_deformable
| Configure the post-processing output so that a mesh displacement field may be output automatically. More...
interface | cs_post_write_meshes
| Output post-processing meshes using associated writers. More...
interface | cs_user_postprocess_activate
| User override of default frequency or calculation end based output. More...
interface | post_activate_by_time_step
| Update "active" or "inactive" flag of writers based on the time step. More...

## Public Member Functions
subroutine | post_write_var (mesh_id, var_name, var_dim, interleaved, use_parent, nt_cur_abs, t_cur_abs, cel_vals, i_face_vals, b_face_vals)
| Output a variable defined at cells or faces of a post-processing mesh using associated writers. More...
subroutine | post_activate_writer (writer_id, activate)
| Force the "active" or "inactive" flag for a specific writer or for all writers for the current time step. More...

## Member Function/Subroutine Documentation

subroutine post_activate_writer | ( | integer, intent(in) | writer_id,
|  | logical, intent(in) | activate
| ) |  |

Force the "active" or "inactive" flag for a specific writer or for all writers for the current time step.

Parameters

  [in] | writer_id | writer id, or 0 for all writers
  [in] | activate | false to deactivate, true to activate

subroutine post_write_var | ( | integer, intent(in) | mesh_id,
|  | character(len=*), intent(in) | var_name,
|  | integer, intent(in) | var_dim,
|  | logical, intent(in) | interleaved,
|  | logical, intent(in) | use_parent,
|  | integer, intent(in) | nt_cur_abs,
|  | double precision, intent(in) | t_cur_abs,
|  | real(c_double), dimension(*), intent(in) | cel_vals,
|  | real(c_double), dimension(*), intent(in) | i_face_vals,
|  | real(c_double), dimension(*), intent(in) | b_face_vals
| ) |  |

Output a variable defined at cells or faces of a post-processing mesh using associated writers.

Parameters

  [in] | mesh_id | id of associated mesh
  [in] | var_name | name of variable to output
  [in] | var_dim | 1 for scalar, 3 for vector, 6/9 for tensor
  [in] | interleaved | .true. if values interleaved (ignored if scalar)
  [in] | use_parent | .true. if values are defined on "parent" mesh, .false. if values are defined directly on post-processing mesh
  [in] | nt_cur_abs | current time step number, or -1 if time-independent
  [in] | t_cur_abs | current physical time
  [in] | cel_vals | cell values array
  [in] | i_face_vals | interior face values array
  [in] | b_face_vals | boundary face values array

The documentation for this module was generated from the following file:

- src/base/post.f90